---
layout: markdown_page
title: "Team"
---

## On this page
{:.no_toc}

- TOC
{:toc}

## Common Links

| **Workflow** | [**How may we be of service?**](production/#workflow--how-we-work) | **GitLab.com Status** | [**`STATUS`**](https://status.gitlab.com/)
| **Issue Trackers** | [**Infrastructure**](https://gitlab.com/gitlab-com/infrastructure/issues/): [Milestones](https://gitlab.com/gitlab-com/infrastructure/milestones), [OnCall](https://gitlab.com/gitlab-com/infrastructure/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=oncall) | [**Production**](https://gitlab.com/gitlab-com/production/issues/): [Incidents](https://gitlab.com/gitlab-com/production/issues?label_name%5B%5D=incident), [Changes](https://gitlab.com/gitlab-com/production/issues?label_name%5B%5D=change), [Deltas](https://gitlab.com/gitlab-com/production/issues?label_name%5B%5D=delta)  | [**Delivery**](https://gitlab.com/gitlab-com/gl-infra/delivery)
| **Slack Channels** | [#sre-lounge](https://gitlab.slack.com/archives/sre-lounge), [#database](https://gitlab.slack.com/archives/database) | [#alerts](https://gitlab.slack.com/archives/alerts), [#production](https://gitlab.slack.com/archives/production) | [#g_delivery](https://gitlab.slack.com/archives/g_delivery)
| **Operations** | [Runbooks](https://gitlab.com/gitlab-com/runbooks) (please contribute!) | **On-call**: [Handover Document](https://docs.google.com/document/d/1IrTi06fUMgxqDCDRD4-e7SJNPvxhFML22jf-3pdz_TI), [Reports](https://gitlab.com/gitlab-com/infrastructure/issues?scope=all&utf8=%E2%9C%93&state=closed&label_name[]=oncall%20report) |

## Teams

An operational environment is a complex and interconnected mesh of components working in unison to deliver a set of services. In a prior iteration of the teams, we purposely avoided organizing teams along siloed functional groups, aligning them instead along the environment's **lifecycle**,
taking into account the two variables that drive change into the environment: time and space.

### Structure

Our long-term objective is to become a world-class Infrastructure organization. In order to reach that goal, we first adopted a **focal** arrangement where the organizational formula is derived from the focus and purpose of the groups arranged along the time and space variables, and group  the appropriate functional resources necessary to manage the environment, which include systems and database specialties.

The [first iteration](/handbook/values/#iteration) in this model comprised two groups, **Site Availability** and **Site Reliability**. The second iteration added a third group, one specializing on the biggest source of change in the environment, releases, whose purpose is to make [CI/CD at GitLab](/handbook/engineering/infrastructure/blueprint/ci-cd/) a reality: **Delivery**.

We are entering our **fourth organizational iteration**: the department (and the company as a whole) has grown and while our availability improved, it has suffered recently as we face scalability challenges. The **Reliability** teams have matured, the **Delivery** team has accomplished the first iteration of Continuous Delivery, and we must now expand our focus to address scalability challenges that surface on GitLab.com. 

Infrastructure is now composed of five teams:  three **Reliability** teams that have been focusing on Observability, Availability, and Reliability, the **Delivery** team, with continued focus on improving and dogfooding our CI/CD capabilities, and a new one: the **Scalability** team, which will hone in our scalability capabilities. Infrastructure will continue to be comprised [DBRE](/job-families/engineering/database-reliability-engineer/)s, [SRE](/job-families/engineering/site-reliability-engineer/)s, backend (BE) and frontend (FE) engineers.

Thus:

* [**Reliability**](/handbook/engineering/infrastructure/team/reliability/): three teams operating all user-facing GitLab services
* [**Delivery**](/handbook/engineering/infrastructure/team/delivery/), focused on GitLab's delivery of software to GitLab.com and the public at large
* [**Scalability**](scalability/), focused on GitLab and GitLab.com at scale

![](img/GitLabInfraOrgStructureV8.png)

### Management Team

<%= direct_team(manager_role: 'Director of Engineering, Infrastructure')%>
